Skip to content

Searches for functions using predefined parameters

Request

Searches for functions using predefined parameters

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

Query
exclusiveStartKeystring

The start key for the search, for paging support

fieldsToReturnstring

The fields that you want to retrieve; if omitted, the entire object is returned

Bodyapplication/jsonrequired

The function that you would like to be saved.

end_dateArray of strings, (date-time), = 2 items(End Date)
event_idstring(Event)required
idsArray of strings(Ids)

IDs to search

namestring(Name)
start_dateArray of strings, (date-time), = 2 items(Start Date)
type_idArray of strings(Type)
curl -i -X POST \
  'https://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/functions/{tenantId}/search?exclusiveStartKey=string&fieldsToReturn=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "end_date": [
      "2019-08-24T14:15:22Z",
      "2019-08-24T14:15:22Z"
    ],
    "event_id": "string",
    "ids": [
      "string"
    ],
    "name": "string",
    "start_date": [
      "2019-08-24T14:15:22Z",
      "2019-08-24T14:15:22Z"
    ],
    "type_id": [
      "string"
    ]
  }'

Responses

The function search was saved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
ItemsArray of objects(FunctionSearchResults)
LastEvaluatedKeystring
Response
{ "Items": [ { … } ], "LastEvaluatedKey": "string" }